org.springframework.batch.core.jsr.configuration.xml

## Class BatchParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.batch.core.jsr.configuration.xml.BatchParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class BatchParser
      extends org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  Parser used to parse the batch.xml file as defined in JSR-352. It is not recommended to use the batch.xml approach with Spring to manage bean instantiation. It is recommended that standard Spring bean configurations (via XML or Java Config) be used.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseInternal(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
    `protected boolean` | `shouldGenerateIdAsFallback()`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchParser

          public BatchParser()

  - ### Method Detail

    - #### shouldGenerateIdAsFallback

          protected boolean shouldGenerateIdAsFallback()

      Overrides:
        `shouldGenerateIdAsFallback` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

    - #### parseInternal

          protected org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(org.w3c.dom.Element element,
                                                                                                   org.springframework.beans.factory.xml.ParserContext parserContext)

      Specified by:
        `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`